<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("cUsuariopv.php");

$oUsuario = new cUsuariopv();



require_once ("../formatos/formatos.php");





if($_POST['action']=="editar")

{



	$dts=$oUsuario->mostrar_nombreusuario($_POST['usu_id']);

	$dt = mysql_fetch_array($dts); 

	$nom=$dt['tb_usuario_nom'];  

	mysql_free_result($dts);

}



?>



<!-- Form content -->

<div class="modal-header">

	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

	<h4 class="modal-title" id="titlemodal">Asignar Punto de Venta</h4> 

</div>

<div class="modal-body">  



<!-- CONTENIDO FORM --> 

<div class="row">

		<div class="col-xs-12">

			<div class="box"> 

					<input name="action_usuario" id="action_usuario" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_usu_id" id="hdd_usu_id" type="hidden" value="<?php echo $_POST['usu_id']?>">    

					<input name="hdd_emp_id" id="hdd_emp_id" type="hidden" value="<?php echo $_SESSION['empresa_id']?>">		

				

						<table border="0" cellpadding="1">

							<tr> 

								<td align="center"><h4 style="color:black"><?php echo "USUARIO : <b>".$nom."</b>" ?></h4></td>

								<td><div id="msj_formusuariopv" class="alert alert-info pull-right" style="position:absolute;right:10px;padding:2px;margin-bottom:0px;display:none"></div> 

								</td>



							</tr>							



						</table>

						<a class="pull-left" id="btn_agregarpv"  onClick="$('#añadirptoventa').show(200);$('#btn_agregarpv').hide()"  href="javascript:void(0)">Agregar Punto de Venta</a> 						



						 <section class="content" id="añadirptoventa"  style="display:none;min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

							<div class="box box-info"> 

							<div class="form-group">							

							<div class="row">

								<div class="col-lg-6 col-xs-12">

									<label for="cmb_puntoventa_id">Punto de Venta:</label>

									<select  name="cmb_puntoventa_id" id="cmb_puntoventa_id" class="form-control"> </select> 

								</div>	

							<a title="Agregar PV" class="btn btn-lg btn-primary" style=" position:absolute; bottom:5px;padding:2px 5px;margin:0px 2px" onClick="agregar_puntoventa(<?php echo $_POST['usu_id'];?>)" href="javascript:void(0)"><i class="fa fa-plus"></i> Agregar</a>						

							 

							</div>

						</div>

							 

						    </div></section> 

					<div id="div_usuario_tabla" class=""></div>

					

				</div>

			 

		</div>

	</div>

<!-- FIN CONTENIDO FORM -->     

</div>

<div class="modal-footer">

<button type="button" id="cancel" class="btn btn-default" data-dismiss="modal">Cerrar</button>

			<!-- 	<button class="btn btn-primary pull-right" id="save_form">Guardar</button> -->

</div>



<script type="text/javascript">



	function marcar_pordefecto(iduser,idusuerpv)

	{   

		$('#msj_formusuariopv').hide();    

		$.ajax({

			type: "POST",

			url: "../usuariopv/usuario_reg.php",

			async:true,

			dataType: "html",

			data: ({

				action: "marcar_pordefecto",

				iduser:iduser,

				iduserpv:idusuerpv

			}),

			beforeSend: function() {

				$('#msj_formusuariopv').html("Cargando...");

				$('#msj_formusuariopv').show(100);

			},

			success: function(html){

				$('#msj_formusuariopv').html(html);

			},

			complete: function(){		

				usuario_tabla_usuariopv(<?php echo $_POST['usu_id'];?>);

			}

		}); 

	}



	function agregar_puntoventa(iduser)

	{   

		var pto_venta = $("#cmb_puntoventa_id").val();

		if (pto_venta==""){alert("ELIJE UN PUNTO DE VENTA");}else

		{

			$('#msj_formusuariopv').hide();    

			$.ajax({

				type: "POST",

				url: "../usuariopv/usuario_reg.php",

				async:true,

				dataType: "html",

				data: ({

					action: "agregar_puntoventa",

					iduser:iduser,

					id_puntoventa:pto_venta

				}),

				beforeSend: function() {

					$('#msj_formusuariopv').html("Cargando...");

					$('#msj_formusuariopv').show(100);

				},

				success: function(html){

					$('#msj_formusuariopv').html(html);

					$('#añadirptoventa').hide();				

					$('#btn_agregarpv').show(100);



				},

				complete: function(){		

					usuario_tabla_usuariopv(<?php echo $_POST['usu_id'];?>);



				}

			}); 



		}



	}





	function eliminar_usuariopv(idusuerpv)

	{   

		$('#msj_formusuariopv').hide();    

		$.ajax({

			type: "POST",

			url: "../usuariopv/usuario_reg.php",

			async:true,

			dataType: "html",

			data: ({

				action: "eliminar_usuariopv",

				iduserpv:idusuerpv

			}),

			beforeSend: function() {

				$('#msj_formusuariopv').html("Cargando...");

				$('#msj_formusuariopv').show(100);

			},

			success: function(html){

				$('#msj_formusuariopv').html(html);

			},

			complete: function(){		

				usuario_tabla_usuariopv(<?php echo $_POST['usu_id'];?>);

			}

		}); 

	}





	function cmb_usugru_id(idf)

	{	

		$.ajax({

			type: "POST",

			url: "../usuariogrupo/cmb_usugru_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				usugru_id: idf,

				mos: '1'				

			}),

			beforeSend: function() {

				$('#cmb_usugru_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){			

				$('#cmb_usugru_id').html(html);			

			}



		});

	}



	function cmb_puntoventa_id()

	{	

		$.ajax({

			type: "POST",

			url: "../puntoventa/cmb_punven_id.php",

			async:true,

			dataType: "html",  

			beforeSend: function() {

				$('#cmb_puntoventa_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){			

				$('#cmb_puntoventa_id').html(html);			

			}



		});

	}



	function usuario_tabla_usuariopv(userid)

	{	

		$.ajax({

			type: "POST",

			url: "../usuariopv/usuariopv_tabla_usuariopv.php",

			async:true,

			dataType: "html",  

			data:  

			({

				usuarioid: userid		

			}),                  

			beforeSend: function() {

				$('#div_usuario_tabla').addClass("ui-state-disabled");

			},

			success: function(html){

				$('#div_usuario_tabla').html(html);

			},

			complete: function(){			

				$('#div_usuario_tabla').removeClass("ui-state-disabled");

			}

		});       

	}







	function cmb_usuper_id(idf)

	{	

		$.ajax({

			type: "POST",

			url: "../usuarioperfil/cmb_usuper_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				usuper_id: idf,

				mos: '1'			

			}),

			beforeSend: function() {

				$('#cmb_usuper_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){			

				$('#cmb_usuper_id').html(html);			

			}		

		});

	}



	$( "#radio" ).buttonset();	

	





	$("#cancel").click(function() {

		$("#form").hide();

		$("#table").show();

		$("#filter").show();

		usuariopv_tabla();

	});



	$("#save_form").click(function() {

		//$("#for_tar").submit();

	});



	$(document).ready(function() {





		usuario_tabla_usuariopv(<?php echo $_POST['usu_id'];?>);

		cmb_puntoventa_id()





	});	

</script>